package com.muyu.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.web.page.PageQueryModel;
import com.muyu.common.system.domain.SysOperLog;
import com.muyu.system.domain.model.SysOperLogAddModel;
import com.muyu.system.domain.model.SysOperlogPageQueryModel;
import com.muyu.system.domain.resp.SysOperlogListResp;

import java.util.List;

/**
 * 操作日志 服务层
 *
 * @author muyu
 */
public interface SysOperLogService extends IService<SysOperLog> {
    /**
     * 新增操作日志
     *
     * @param sysOperLogAddModel 操作日志对象
     *
     * @return 结果
     */
    public void insertOperlog (SysOperLogAddModel sysOperLogAddModel);

    /**
     * 操作日志 分页查询
     * @param sysOperlogPageQueryModel 分页模型查询
     * @return 分页结果
     */
    PageQueryModel<SysOperlogListResp> pageQuery(SysOperlogPageQueryModel sysOperlogPageQueryModel);

    /**
     * 批量删除系统操作日志
     *
     * @param operIds 需要删除的操作日志ID
     *
     * @return 结果
     */
    public void deleteOperLogByIds (List<Long> operIds);

    /**
     * 查询操作日志详细
     *
     * @param operId 操作ID
     *
     * @return 操作日志对象
     */
    public SysOperLog selectOperLogById (Long operId);

    /**
     * 清空操作日志
     */
    public void cleanOperLog ();

}
