package com.muyu.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.system.domain.SysUserPost;

import java.util.List;

/**
 * 用户与岗位关联业务层
 * @author dongzeliang
 * @version 1.0
 * @description: 用户与岗位关联业务层
 * @date 2025/2/13 21:49
 */
public interface SysUserPostService extends IService<SysUserPost> {
    /**
     * 通过用户ID删除用户与岗位关联
     * @param userId 用户ID
     */
    void deleteUserPostByUserId(Long userId);

    /**
     * 批量删除用户与岗位关联
     * @param userIds 用户ID集合
     */
    void deleteUserPost(List<Long> userIds);

    /**
     * 通过岗位ID查询岗位使用数量
     * @param postId 岗位ID
     * @return 使用数量
     */
    long countUserPostById(Long postId);
}
